Bug 1282533 - Cannot install and configure Cherokee on Fedora 23 because of a missing interpreter
Cannot install and configure Cherokee on Fedora 23 because of a missing inter...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cherokee (Show other bugs)
24
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Pavel Lisý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 11:58 EST by Jean-François Fortin Tam
Modified: 2016-07-09 12:23 EDT (History)
6 users (show)

See Also:
Fixed In Version: cherokee-1.2.104-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-09 12:23:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jean-François Fortin Tam 2015-11-16 11:58:37 EST
$ sudo dnf install cherokee
[blah blah]
Installed :
  cherokee.x86_64 1.2.103-7.fc23
  mariadb-common.x86_64 1:10.0.20-3.fc23
  mariadb-config.x86_64 1:10.0.20-3.fc23
  mariadb-libs.x86_64 1:10.0.20-3.fc23
  spawn-fcgi.x86_64 1.6.3-9.fc23

$ sudo cherokee-admin
[16/11/2015 11:47:56.308] (error) source_interpreter.c:479 - Could not find
    interpreter '/usr/share/cherokee/admin/server.py 4000
    /etc/cherokee/cherokee.conf' | The server configuration refers to an
    interpreter that is not installed in this system.
main_admin.c:425 - Could not initialize the server
Comment 1 John Brines 2015-11-18 15:44:40 EST
I am having the same issue, when you look in the /usr/share/Cherokee/admin folder there are a whole load of .py files missing including the server.py file.

I have tried copying them but it still doesn't work.
Comment 2 Pavel Lisý 2015-11-18 17:18:39 EST
I have prepared new version 1.2.104-1, I will try to give it to public testing tomorrow (I hope)
Comment 3 John Brines 2015-11-18 18:16:39 EST
(In reply to Pavel Lisý from comment #2)
> I have prepared new version 1.2.104-1, I will try to give it to public
> testing tomorrow (I hope)

Thanks
Comment 4 Pavel Lisý 2015-11-19 12:00:04 EST
Try this: 

http://ftp-hk.tmapy.cz/tmapy-twist/fedora/23/os/x86_64/RPMS/
Comment 5 John Brines 2015-11-19 14:25:19 EST
(In reply to Pavel Lisý from comment #4)
> Try this: 
> 
> http://ftp-hk.tmapy.cz/tmapy-twist/fedora/23/os/x86_64/RPMS/

That worked bud, many thanks.
Comment 6 Michael DePaulo 2016-01-02 00:15:51 EST
@Pavel, thanks, that fixed it for me.

You are the maintainer, right? Why not offer a Fedora update. I would expect an upstream release bump like 1.2.103 -> 1.2.104 to be an acceptable update for Fedora.
Comment 7 Tomasz Sterna 2016-04-11 06:06:10 EDT
Hi.
Any idea why this isn't in @updates yet?
Comment 8 gaxweb 2016-06-20 08:52:27 EDT
Same here. "sudo dnf update cherokee --releasever=24" installed a newer version (1.2.103-8.fc24), but I'm still having the same problem.

Haven't tried the tmapy.cz one.
Comment 9 Jean-François Fortin Tam 2016-06-30 00:28:34 EDT
Pavel, ping?
Comment 10 Fedora Update System 2016-07-04 13:58:26 EDT
cherokee-1.2.104-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1fd3c00778
Comment 11 Fedora Update System 2016-07-04 13:59:11 EDT
cherokee-1.2.104-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d0df752d7a
Comment 12 Fedora Update System 2016-07-04 13:59:53 EDT
cherokee-1.2.104-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-83bab6a1cf
Comment 13 Fedora Update System 2016-07-05 04:52:37 EDT
cherokee-1.2.104-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-83bab6a1cf
Comment 14 Fedora Update System 2016-07-05 10:48:14 EDT
cherokee-1.2.104-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1fd3c00778
Comment 15 Fedora Update System 2016-07-05 11:24:12 EDT
cherokee-1.2.104-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d0df752d7a
Comment 16 Fedora Update System 2016-07-09 12:23:15 EDT
cherokee-1.2.104-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.